# Get Project Violating Findings

Returns the violations relates to project

Endpoint: GET /api/v3.0/orgs/{orgUuid}/projects/{projectUuid}/violations
Version: 3.0
Security: bearer-key

## Security:

  - `bearer-key` (unknown)
    http bearer JWT

## Path parameters:

  - `orgUuid` (string, required)
    org UUID (from the Mend App: **Administration** General > **Organization UUID**).

  - `projectUuid` (string, required)
    UUID of the project

## Query parameters:

  - `cursor` (string)
    Parameter indicates the starting point for retrieving results, the first call doesn't include a cursor parameter in the request, the API response includes the first set of results along with a cursor pointing to the last item retrieved.

  - `limit` (string)
    Specifies the maximum number of items to be returned in the response.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `additionalData` (object)
    + **totalItems**: The total count of data points returned in an API response.
    Example: {"totalItems":"422","next":"http://someUrl?cursor=3","cursor":3}

  - `supportToken` (string)
    Example: 1171c60d

  - `response` (array)

  - `response.uuid` (string)

  - `response.name` (string)

  - `response.projectUuid` (string)

  - `response.projectName` (string)

  - `response.engine` (string, required)
    Type of engine the violation relates to
    Enum: "UNIFIED", "SCA", "SAST", "IAC", "IMG", "AI", "DAST"

  - `response.findingType` (string, required)
    Type of finding
    Enum: "SECURITY", "LEGAL", "LIBRARY"

  - `response.originUuid` (string)

  - `response.originName` (string)

  - `response.risk` (string)
    Risk of the violation. Can be one of: LOW, MEDIUM, HIGH, CRITICAL
    Enum: "LOW", "MEDIUM", "HIGH", "CRITICAL"

  - `response.sla` (string)

  - `response.workflowData` (array)

  - `response.workflowData.workflowUuid` (string)

  - `response.workflowData.workflowName` (string)

  - `response.workflowData.entityUuid` (string)

  - `response.createdAt` (string)

  - `response.updatedAt` (string)

  - `response.refId` (string)

  - `response.violationType` (string)

  - `response.isProjectActive` (boolean)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

